{

	//星见雅天赋03：释放分支技（魔刃）后，5秒内能量回复效率提升16%

	"AbilityName": "Unagi_Talent_03",

	"AbilityStacking": "Unique",



	"DefaultModifier": 

	{

		"OnAdded": 

		[

			{

				"$type": "MoleMole.SetAnimCtrlerParamAction",

				"ParamType": 2,

				"ParamName": "Bool_Talent_03",

				"Target": "Self",

				"BoolVal": true

			}

		]

	},



	"AbilityMixins": 

	[

		{

			"$type": "MoleMole.ActwithStateFrameMixin",

			"ConfigList": 

			[

				{

					"LayerIndex": 0,

					"AnimatorStateName": "Attack_Normal_06_02",

					"Frame": 50,  //消耗第三颗豆的时间点

					"ForceTriggerOnTransitionOut": false,

					"IsLoop": false,

					"ActionList": 

					[

						{

							"$type": "MoleMole.ApplyModifier",

							"ModifierName": "UnagiTalent03Modifier_SpGetRatio",

							"Target": "Self"

						},

						// //测试特效

						// {

						// 	"$type" : "MoleMole.FireEffect",

						// 	"EffectPattern" : "Eff_Avatar_LevelUp_01",

						// 	"Target" : "Self",

						// }

					]

				}

			]

		}

	],



	"Modifiers":

	{

		//能量回复效率提升

		"UnagiTalent03Modifier_SpGetRatio": 

		{

            "ModifierStacking":"Refresh",

			"Duration": "%AS_SPGetDuration_Talent_03",



			"Properties": 

			{

				"Actor_SPGetRatio": "%AS_SPGetRatio_Talent_03"

			}

		}

	},



	"AbilitySpecials": 

	{

		//回复效率提升100%

		"AS_SPGetRatio_Talent_03": 

		{

			"Value": 0.2

		},

		//回复持续时长5s

		"AS_SPGetDuration_Talent_03": 

		{

			"Value": 5

		}

	}

}